# CPUOptimizationSettings Class

### NAMESPACE

RASAdminEngine.Core.OutputModels

### DESCRIPTION

RAS CPU Optimization Setting

### INHERITED FROM

[RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html)⇒CPUOptimizationSettings

### INTERFACES

* ISerializable
* IComparable

### PUBLIC PROPERTIES

| Type          | Name                  | Description |                                                                                                   |
| ------------- | --------------------- | ----------- | ------------------------------------------------------------------------------------------------- |
| List\<String> | CPUExcludeList        |             | Specifies items in the CPUExclude list                                                            |
| UInt32        | CriticalUsage         |             | The CPU usage percentage above which a process will be set to idle priority.                      |
| Boolean       | EnableCPUOptimization |             | Whether the "CPU Optimization" option is enabled or disabled.                                     |
| UInt32        | IdleUsage             |             | The CPU usage percentage below which a process will be set to realtime priority.                  |
| Boolean       | Replicate             |             | Whether the "Replicate settings" option (replicate settings to all sites) is enabled or disabled. |
| UInt32        | SiteId                |             | The site ID to which the RAS CPU Optimization settings refer.                                     |
| UInt32        | StartUsage            |             | The CPU usage percentage above which the CPU Optimization will start working.                     |

### PUBLIC METHODS

| Type    | Name                   | Description                                                                                                                                                    |   |
| ------- | ---------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- | - |
| Int32   | CompareTo (Object obj) | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Boolean | Equals (Object obj)    | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Int32   | GetHashCode ()         | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Type    | GetType ()             |                                                                                                                                                                |   |
| String  | ToString ()            |                                                                                                                                                                |   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/class/cpuoptimizationsettings-class.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
